<mat-card>
  <mat-toolbar color="primary">Detalhes do Curso</mat-toolbar>

  <mat-card-content>
    <form [formGroup]="form">
      <mat-form-field class="full-width">
        <input matInput placeholder="Nome" formControlName="name" />
      </mat-form-field>

      <mat-form-field class="full-width" appearance="fill">
        <mat-label>Categoria</mat-label>
        <mat-select formControlName="category">
          <mat-option value="null"></mat-option>
          <mat-option value="frontend">Front-end</mat-option>
          <mat-option value="backend">Back-end</mat-option>
          <mat-option value="database">Database</mat-option>
          <mat-option value="devops">DevOps</mat-option>
        </mat-select>
      </mat-form-field>

    </form>
  </mat-card-content>

  <mat-card-actions>
    <button mat-raised-button color="primary" (click)="onSubmit()">Salvar</button>
    <button mat-raised-button (click)="onCancel()">Cancelar</button>
  </mat-card-actions>
</mat-card>
